iNet is now compatible with Java 7

You are now within a secure environment, involving the use of SSL.

We strongly recommend the followings:

(1) Browsers:

  • Microsoft Internet Explorer

  • Mozillla Firefox,

  • Google Chrome

(2) Java Plug-in:

Java Runtime Environment 1.7 and above (http://www.java.com/en/download/index.jsp)

         Order Price and Company Symbols